package com.suelec.trainclass.service.impl;

import com.suelec.trainclass.dao.TrainDao;
import com.suelec.trainclass.pojo.TrainInfo;
import com.suelec.trainclass.service.TrainService;
import org.springframework.stereotype.Service;

import javax.annotation.Resource;
import java.util.List;

@Service
public class TrainServiceImpl implements TrainService {

    @Resource
    TrainDao trainDao;
    @Override
    public TrainInfo selectTrainInfo(String id) {
        TrainInfo trainingClass = trainDao.selectTrainInfo(id);
        return trainingClass;
    }

    @Override
    public List<TrainInfo> selectTtrainClassList(String id) {
        List<TrainInfo>  list = trainDao.selectTtrainClassList();
        return list;
    }
}
